package com.qiaoba.common.base.util;

import cn.hutool.core.util.StrUtil;

import java.util.Objects;

/**
 * ArrayUtil
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/22 16:41
 */
public class ArrayUtil extends cn.hutool.core.util.ArrayUtil {

    public static boolean containsValueIgnoreCase(CharSequence[] array, CharSequence value) {
        if (Objects.nonNull(array)) {
            for (CharSequence charSequence : array) {
                if (StrUtil.containsIgnoreCase(value, charSequence)) {
                    return true;
                }
            }
        }
        return false;
    }
}
